require_relative 'translateUtil'
require_relative 'translate2language'

def startTranlate2Code(jsonFilePath,codeGenerateModel)
   codeGenerateModel.startTranslate(jsonFilePath)
end

# 代码生成器
codeType = ARGV[-1]
codeGenerateModel = ModelDefinition.getModelDefinition(codeType)
if(codeGenerateModel)
    jsonFilePaths = ARGV[0,ARGV.size-1]
    # 遍历所有的json配置文件路径
    jsonFilePaths.each do |jsonFilePath|
        # 代码转换
        startTranlate2Code(jsonFilePath,codeGenerateModel)
    end
else
    puts("没有选择对应平台的语言，请重试")

end
